- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

# timer_internal_gathering.hh File Reference

This file contains classes used by Timer in timer.hh to gather data during timer execution. More...

Include dependency graph for timer_internal_gathering.hh:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
namespace | misc
namespace | misc::timer

## Detailed Description

This file contains classes used by Timer in timer.hh to gather data during timer execution.

Classes declared here are not meant to be used on their own. See timer.hh for information on how to use the Timer class to time nested tasks.

Definition in file timer_internal_gathering.hh.